Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.controls.generic
Class FoldersControlBaseImpl<T extends ContentBaseImpl,V extends FolderBase>

    java.lang.Object
      com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl<T,V>
          com.bea.apps.groupspace.controls.generic.FoldersControlBaseImpl<T,V>

All Implemented Interfaces
  ContentControlBase<T,V>, FoldersControlBase<T,V>, Serializable

Direct Known Subclasses:
  CmBrowserFoldersControlImpl

    public abstract class FoldersControlBaseImpl<T extends ContentBaseImpl,V extends FolderBase>

extends ContentControlBaseImpl<T,V>
implements FoldersControlBase<T,V>, Serializable

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Field Summary

Fields inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`ALL_TYPES, beanClass, contentFactory, DEFAULT_SEARCH_LOAD_SIZE, nodeManager, objectClassType, repoID, repoName, searchManager, typeManager`

Constructor Summary
`FoldersControlBaseImpl()`

Method Summary

Methods inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`cc, createFolderObject, createObject, createObjectClass, createObjects, createObjects, createType, findById, findMany, findMany, findManyChildren, getAll, getAllChildren, getAllPropertyDefinitions, getAsSearchPaths, getContentType, getDefaultStringValue, getFolder, getFolderByExpression, getFolderContentType, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getSearchPaths, getTopFolder, getTopNode, move, move, recurseRepository, remove, remove, remove, removeAll, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Constructor Detail

### FoldersControlBaseImpl

    public FoldersControlBaseImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved